org.apache.storm.generated

## Class Nimbus.Client

- java.lang.Object
- - org.apache.storm.thrift.TServiceClient
  - - org.apache.storm.generated.Nimbus.Client

- All Implemented Interfaces:
    Nimbus.Iface
  Enclosing class:
    Nimbus

      public static class Nimbus.Client
      extends org.apache.storm.thrift.TServiceClient
      implements Nimbus.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Nimbus.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(org.apache.storm.thrift.protocol.TProtocol prot)`
    `Client(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activate(String name)`
    `BeginDownloadResult` | `beginBlobDownload(String key)`
    `String` | `beginCreateBlob(String key, SettableBlobMeta meta)`
    `String` | `beginFileUpload()`
    `String` | `beginUpdateBlob(String key)`
    `void` | `cancelBlobUpload(String session)`
    `void` | `createStateInZookeeper(String key)`
    `void` | `deactivate(String name)`
    `void` | `debug(String name, String component, boolean enable, double samplingPercentage)` Enable/disable logging the tuples generated in topology via an internal EventLogger bolt.
    `void` | `deleteBlob(String key)`
    `ByteBuffer` | `downloadBlobChunk(String session)`
    `ByteBuffer` | `downloadChunk(String id)`
    `void` | `finishBlobUpload(String session)`
    `void` | `finishFileUpload(String location)`
    `ReadableBlobMeta` | `getBlobMeta(String key)`
    `int` | `getBlobReplication(String key)`
    `ClusterSummary` | `getClusterInfo()`
    `ComponentPageInfo` | `getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys)`
    `List<ProfileRequest>` | `getComponentPendingProfileActions(String id, String component_id, ProfileAction action)`
    `NimbusSummary` | `getLeader()`
    `LogConfig` | `getLogConfig(String name)`
    `String` | `getNimbusConf()`
    `List<OwnerResourceSummary>` | `getOwnerResourceSummaries(String owner)`
    `SupervisorAssignments` | `getSupervisorAssignments(String node)` Get assigned assignments for a specific supervisor
    `SupervisorPageInfo` | `getSupervisorPageInfo(String id, String host, boolean is_include_sys)`
    `StormTopology` | `getTopology(String id)` Returns the compiled topology that contains ackers and metrics consumsers.
    `String` | `getTopologyConf(String id)`
    `TopologyHistoryInfo` | `getTopologyHistory(String user)`
    `TopologyInfo` | `getTopologyInfo(String id)`
    `TopologyInfo` | `getTopologyInfoByName(String name)`
    `TopologyInfo` | `getTopologyInfoByNameWithOpts(String name, GetInfoOptions options)`
    `TopologyInfo` | `getTopologyInfoWithOpts(String id, GetInfoOptions options)`
    `TopologyPageInfo` | `getTopologyPageInfo(String id, String window, boolean is_include_sys)`
    `List<TopologySummary>` | `getTopologySummaries()`
    `TopologySummary` | `getTopologySummary(String id)`
    `TopologySummary` | `getTopologySummaryByName(String name)`
    `StormTopology` | `getUserTopology(String id)` Returns the user specified topology as submitted originally.
    `boolean` | `isRemoteBlobExists(String blobKey)` Decide if the blob is removed from cluster.
    `boolean` | `isTopologyNameAllowed(String name)`
    `void` | `killTopology(String name)`
    `void` | `killTopologyWithOpts(String name, KillOptions options)`
    `ListBlobsResult` | `listBlobs(String session)`
    `void` | `processWorkerMetrics(WorkerMetrics metrics)`
    `void` | `rebalance(String name, RebalanceOptions options)`
    `void` | `recv_activate()`
    `BeginDownloadResult` | `recv_beginBlobDownload()`
    `String` | `recv_beginCreateBlob()`
    `String` | `recv_beginFileUpload()`
    `String` | `recv_beginUpdateBlob()`
    `void` | `recv_cancelBlobUpload()`
    `void` | `recv_createStateInZookeeper()`
    `void` | `recv_deactivate()`
    `void` | `recv_debug()`
    `void` | `recv_deleteBlob()`
    `ByteBuffer` | `recv_downloadBlobChunk()`
    `ByteBuffer` | `recv_downloadChunk()`
    `void` | `recv_finishBlobUpload()`
    `void` | `recv_finishFileUpload()`
    `ReadableBlobMeta` | `recv_getBlobMeta()`
    `int` | `recv_getBlobReplication()`
    `ClusterSummary` | `recv_getClusterInfo()`
    `ComponentPageInfo` | `recv_getComponentPageInfo()`
    `List<ProfileRequest>` | `recv_getComponentPendingProfileActions()`
    `NimbusSummary` | `recv_getLeader()`
    `LogConfig` | `recv_getLogConfig()`
    `String` | `recv_getNimbusConf()`
    `List<OwnerResourceSummary>` | `recv_getOwnerResourceSummaries()`
    `SupervisorAssignments` | `recv_getSupervisorAssignments()`
    `SupervisorPageInfo` | `recv_getSupervisorPageInfo()`
    `StormTopology` | `recv_getTopology()`
    `String` | `recv_getTopologyConf()`
    `TopologyHistoryInfo` | `recv_getTopologyHistory()`
    `TopologyInfo` | `recv_getTopologyInfo()`
    `TopologyInfo` | `recv_getTopologyInfoByName()`
    `TopologyInfo` | `recv_getTopologyInfoByNameWithOpts()`
    `TopologyInfo` | `recv_getTopologyInfoWithOpts()`
    `TopologyPageInfo` | `recv_getTopologyPageInfo()`
    `List<TopologySummary>` | `recv_getTopologySummaries()`
    `TopologySummary` | `recv_getTopologySummary()`
    `TopologySummary` | `recv_getTopologySummaryByName()`
    `StormTopology` | `recv_getUserTopology()`
    `boolean` | `recv_isRemoteBlobExists()`
    `boolean` | `recv_isTopologyNameAllowed()`
    `void` | `recv_killTopology()`
    `void` | `recv_killTopologyWithOpts()`
    `ListBlobsResult` | `recv_listBlobs()`
    `void` | `recv_processWorkerMetrics()`
    `void` | `recv_rebalance()`
    `void` | `recv_sendSupervisorWorkerHeartbeat()`
    `void` | `recv_sendSupervisorWorkerHeartbeats()`
    `void` | `recv_setBlobMeta()`
    `void` | `recv_setLogConfig()`
    `void` | `recv_setWorkerProfiler()`
    `void` | `recv_submitTopology()`
    `void` | `recv_submitTopologyWithOpts()`
    `int` | `recv_updateBlobReplication()`
    `void` | `recv_uploadBlobChunk()`
    `void` | `recv_uploadChunk()`
    `void` | `recv_uploadNewCredentials()`
    `void` | `send_activate(String name)`
    `void` | `send_beginBlobDownload(String key)`
    `void` | `send_beginCreateBlob(String key, SettableBlobMeta meta)`
    `void` | `send_beginFileUpload()`
    `void` | `send_beginUpdateBlob(String key)`
    `void` | `send_cancelBlobUpload(String session)`
    `void` | `send_createStateInZookeeper(String key)`
    `void` | `send_deactivate(String name)`
    `void` | `send_debug(String name, String component, boolean enable, double samplingPercentage)`
    `void` | `send_deleteBlob(String key)`
    `void` | `send_downloadBlobChunk(String session)`
    `void` | `send_downloadChunk(String id)`
    `void` | `send_finishBlobUpload(String session)`
    `void` | `send_finishFileUpload(String location)`
    `void` | `send_getBlobMeta(String key)`
    `void` | `send_getBlobReplication(String key)`
    `void` | `send_getClusterInfo()`
    `void` | `send_getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys)`
    `void` | `send_getComponentPendingProfileActions(String id, String component_id, ProfileAction action)`
    `void` | `send_getLeader()`
    `void` | `send_getLogConfig(String name)`
    `void` | `send_getNimbusConf()`
    `void` | `send_getOwnerResourceSummaries(String owner)`
    `void` | `send_getSupervisorAssignments(String node)`
    `void` | `send_getSupervisorPageInfo(String id, String host, boolean is_include_sys)`
    `void` | `send_getTopology(String id)`
    `void` | `send_getTopologyConf(String id)`
    `void` | `send_getTopologyHistory(String user)`
    `void` | `send_getTopologyInfo(String id)`
    `void` | `send_getTopologyInfoByName(String name)`
    `void` | `send_getTopologyInfoByNameWithOpts(String name, GetInfoOptions options)`
    `void` | `send_getTopologyInfoWithOpts(String id, GetInfoOptions options)`
    `void` | `send_getTopologyPageInfo(String id, String window, boolean is_include_sys)`
    `void` | `send_getTopologySummaries()`
    `void` | `send_getTopologySummary(String id)`
    `void` | `send_getTopologySummaryByName(String name)`
    `void` | `send_getUserTopology(String id)`
    `void` | `send_isRemoteBlobExists(String blobKey)`
    `void` | `send_isTopologyNameAllowed(String name)`
    `void` | `send_killTopology(String name)`
    `void` | `send_killTopologyWithOpts(String name, KillOptions options)`
    `void` | `send_listBlobs(String session)`
    `void` | `send_processWorkerMetrics(WorkerMetrics metrics)`
    `void` | `send_rebalance(String name, RebalanceOptions options)`
    `void` | `send_sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat)`
    `void` | `send_sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats)`
    `void` | `send_setBlobMeta(String key, SettableBlobMeta meta)`
    `void` | `send_setLogConfig(String name, LogConfig config)`
    `void` | `send_setWorkerProfiler(String id, ProfileRequest profileRequest)`
    `void` | `send_submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology)`
    `void` | `send_submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options)`
    `void` | `send_updateBlobReplication(String key, int replication)`
    `void` | `send_uploadBlobChunk(String session, ByteBuffer chunk)`
    `void` | `send_uploadChunk(String location, ByteBuffer chunk)`
    `void` | `send_uploadNewCredentials(String name, Credentials creds)`
    `void` | `sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat)` Send supervisor local worker heartbeat when a supervisor is unreachable
    `void` | `sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats)` Send supervisor worker heartbeats for a specific supervisor
    `void` | `setBlobMeta(String key, SettableBlobMeta meta)`
    `void` | `setLogConfig(String name, LogConfig config)`
    `void` | `setWorkerProfiler(String id, ProfileRequest profileRequest)`
    `void` | `submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology)`
    `void` | `submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options)`
    `int` | `updateBlobReplication(String key, int replication)`
    `void` | `uploadBlobChunk(String session, ByteBuffer chunk)`
    `void` | `uploadChunk(String location, ByteBuffer chunk)`
    `void` | `uploadNewCredentials(String name, Credentials creds)`

    - ### Methods inherited from class org.apache.storm.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client(org.apache.storm.thrift.protocol.TProtocol prot)

    - #### Client

          public Client(org.apache.storm.thrift.protocol.TProtocol iprot,
                        org.apache.storm.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### submitTopology

          public void submitTopology(String name,
                                     String uploadedJarLocation,
                                     String jsonConf,
                                     StormTopology topology)
                              throws AlreadyAliveException,
                                     InvalidTopologyException,
                                     AuthorizationException,
                                     org.apache.storm.thrift.TException

      Specified by:
        `submitTopology` in interface `Nimbus.Iface`
      Throws:
        `AlreadyAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_submitTopology

          public void send_submitTopology(String name,
                                          String uploadedJarLocation,
                                          String jsonConf,
                                          StormTopology topology)
                                   throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_submitTopology

          public void recv_submitTopology()
                                   throws AlreadyAliveException,
                                          InvalidTopologyException,
                                          AuthorizationException,
                                          org.apache.storm.thrift.TException

      Throws:
        `AlreadyAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### submitTopologyWithOpts

          public void submitTopologyWithOpts(String name,
                                             String uploadedJarLocation,
                                             String jsonConf,
                                             StormTopology topology,
                                             SubmitOptions options)
                                      throws AlreadyAliveException,
                                             InvalidTopologyException,
                                             AuthorizationException,
                                             org.apache.storm.thrift.TException

      Specified by:
        `submitTopologyWithOpts` in interface `Nimbus.Iface`
      Throws:
        `AlreadyAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_submitTopologyWithOpts

          public void send_submitTopologyWithOpts(String name,
                                                  String uploadedJarLocation,
                                                  String jsonConf,
                                                  StormTopology topology,
                                                  SubmitOptions options)
                                           throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_submitTopologyWithOpts

          public void recv_submitTopologyWithOpts()
                                           throws AlreadyAliveException,
                                                  InvalidTopologyException,
                                                  AuthorizationException,
                                                  org.apache.storm.thrift.TException

      Throws:
        `AlreadyAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### killTopology

          public void killTopology(String name)
                            throws NotAliveException,
                                   AuthorizationException,
                                   org.apache.storm.thrift.TException

      Specified by:
        `killTopology` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_killTopology

          public void send_killTopology(String name)
                                 throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_killTopology

          public void recv_killTopology()
                                 throws NotAliveException,
                                        AuthorizationException,
                                        org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### killTopologyWithOpts

          public void killTopologyWithOpts(String name,
                                           KillOptions options)
                                    throws NotAliveException,
                                           AuthorizationException,
                                           org.apache.storm.thrift.TException

      Specified by:
        `killTopologyWithOpts` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_killTopologyWithOpts

          public void send_killTopologyWithOpts(String name,
                                                KillOptions options)
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_killTopologyWithOpts

          public void recv_killTopologyWithOpts()
                                         throws NotAliveException,
                                                AuthorizationException,
                                                org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### activate

          public void activate(String name)
                        throws NotAliveException,
                               AuthorizationException,
                               org.apache.storm.thrift.TException

      Specified by:
        `activate` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_activate

          public void send_activate(String name)
                             throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_activate

          public void recv_activate()
                             throws NotAliveException,
                                    AuthorizationException,
                                    org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### deactivate

          public void deactivate(String name)
                          throws NotAliveException,
                                 AuthorizationException,
                                 org.apache.storm.thrift.TException

      Specified by:
        `deactivate` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_deactivate

          public void send_deactivate(String name)
                               throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_deactivate

          public void recv_deactivate()
                               throws NotAliveException,
                                      AuthorizationException,
                                      org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### rebalance

          public void rebalance(String name,
                                RebalanceOptions options)
                         throws NotAliveException,
                                InvalidTopologyException,
                                AuthorizationException,
                                org.apache.storm.thrift.TException

      Specified by:
        `rebalance` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_rebalance

          public void send_rebalance(String name,
                                     RebalanceOptions options)
                              throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_rebalance

          public void recv_rebalance()
                              throws NotAliveException,
                                     InvalidTopologyException,
                                     AuthorizationException,
                                     org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### setLogConfig

          public void setLogConfig(String name,
                                   LogConfig config)
                            throws org.apache.storm.thrift.TException

      Specified by:
        `setLogConfig` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_setLogConfig

          public void send_setLogConfig(String name,
                                        LogConfig config)
                                 throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_setLogConfig

          public void recv_setLogConfig()
                                 throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### getLogConfig

          public LogConfig getLogConfig(String name)
                                 throws org.apache.storm.thrift.TException

      Specified by:
        `getLogConfig` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_getLogConfig

          public void send_getLogConfig(String name)
                                 throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getLogConfig

          public LogConfig recv_getLogConfig()
                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### debug

          public void debug(String name,
                            String component,
                            boolean enable,
                            double samplingPercentage)
                     throws NotAliveException,
                            AuthorizationException,
                            org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Enable/disable logging the tuples generated in topology via an internal EventLogger bolt. The component name is optional and if null or empty, the debug flag will apply to the entire topology.

      The ‘samplingPercentage’ will limit loggging to a percentage of generated tuples.

      Specified by:
        `debug` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_debug

          public void send_debug(String name,
                                 String component,
                                 boolean enable,
                                 double samplingPercentage)
                          throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_debug

          public void recv_debug()
                          throws NotAliveException,
                                 AuthorizationException,
                                 org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### setWorkerProfiler

          public void setWorkerProfiler(String id,
                                        ProfileRequest profileRequest)
                                 throws org.apache.storm.thrift.TException

      Specified by:
        `setWorkerProfiler` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_setWorkerProfiler

          public void send_setWorkerProfiler(String id,
                                             ProfileRequest profileRequest)
                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_setWorkerProfiler

          public void recv_setWorkerProfiler()
                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### getComponentPendingProfileActions

          public List<ProfileRequest> getComponentPendingProfileActions(String id,
                                                                        String component_id,
                                                                        ProfileAction action)
                                                                 throws org.apache.storm.thrift.TException

      Specified by:
        `getComponentPendingProfileActions` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_getComponentPendingProfileActions

          public void send_getComponentPendingProfileActions(String id,
                                                             String component_id,
                                                             ProfileAction action)
                                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getComponentPendingProfileActions

          public List<ProfileRequest> recv_getComponentPendingProfileActions()
                                                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### uploadNewCredentials

          public void uploadNewCredentials(String name,
                                           Credentials creds)
                                    throws NotAliveException,
                                           InvalidTopologyException,
                                           AuthorizationException,
                                           org.apache.storm.thrift.TException

      Specified by:
        `uploadNewCredentials` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_uploadNewCredentials

          public void send_uploadNewCredentials(String name,
                                                Credentials creds)
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_uploadNewCredentials

          public void recv_uploadNewCredentials()
                                         throws NotAliveException,
                                                InvalidTopologyException,
                                                AuthorizationException,
                                                org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `InvalidTopologyException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### beginCreateBlob

          public String beginCreateBlob(String key,
                                        SettableBlobMeta meta)
                                 throws AuthorizationException,
                                        KeyAlreadyExistsException,
                                        org.apache.storm.thrift.TException

      Specified by:
        `beginCreateBlob` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyAlreadyExistsException`
        `org.apache.storm.thrift.TException`

    - #### send_beginCreateBlob

          public void send_beginCreateBlob(String key,
                                           SettableBlobMeta meta)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_beginCreateBlob

          public String recv_beginCreateBlob()
                                      throws AuthorizationException,
                                             KeyAlreadyExistsException,
                                             org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyAlreadyExistsException`
        `org.apache.storm.thrift.TException`

    - #### beginUpdateBlob

          public String beginUpdateBlob(String key)
                                 throws AuthorizationException,
                                        KeyNotFoundException,
                                        org.apache.storm.thrift.TException

      Specified by:
        `beginUpdateBlob` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_beginUpdateBlob

          public void send_beginUpdateBlob(String key)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_beginUpdateBlob

          public String recv_beginUpdateBlob()
                                      throws AuthorizationException,
                                             KeyNotFoundException,
                                             org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### uploadBlobChunk

          public void uploadBlobChunk(String session,
                                      ByteBuffer chunk)
                               throws AuthorizationException,
                                      org.apache.storm.thrift.TException

      Specified by:
        `uploadBlobChunk` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_uploadBlobChunk

          public void send_uploadBlobChunk(String session,
                                           ByteBuffer chunk)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_uploadBlobChunk

          public void recv_uploadBlobChunk()
                                    throws AuthorizationException,
                                           org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### finishBlobUpload

          public void finishBlobUpload(String session)
                                throws AuthorizationException,
                                       org.apache.storm.thrift.TException

      Specified by:
        `finishBlobUpload` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_finishBlobUpload

          public void send_finishBlobUpload(String session)
                                     throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_finishBlobUpload

          public void recv_finishBlobUpload()
                                     throws AuthorizationException,
                                            org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### cancelBlobUpload

          public void cancelBlobUpload(String session)
                                throws AuthorizationException,
                                       org.apache.storm.thrift.TException

      Specified by:
        `cancelBlobUpload` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_cancelBlobUpload

          public void send_cancelBlobUpload(String session)
                                     throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_cancelBlobUpload

          public void recv_cancelBlobUpload()
                                     throws AuthorizationException,
                                            org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getBlobMeta

          public ReadableBlobMeta getBlobMeta(String key)
                                       throws AuthorizationException,
                                              KeyNotFoundException,
                                              org.apache.storm.thrift.TException

      Specified by:
        `getBlobMeta` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_getBlobMeta

          public void send_getBlobMeta(String key)
                                throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getBlobMeta

          public ReadableBlobMeta recv_getBlobMeta()
                                            throws AuthorizationException,
                                                   KeyNotFoundException,
                                                   org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### setBlobMeta

          public void setBlobMeta(String key,
                                  SettableBlobMeta meta)
                           throws AuthorizationException,
                                  KeyNotFoundException,
                                  org.apache.storm.thrift.TException

      Specified by:
        `setBlobMeta` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_setBlobMeta

          public void send_setBlobMeta(String key,
                                       SettableBlobMeta meta)
                                throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_setBlobMeta

          public void recv_setBlobMeta()
                                throws AuthorizationException,
                                       KeyNotFoundException,
                                       org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### beginBlobDownload

          public BeginDownloadResult beginBlobDownload(String key)
                                                throws AuthorizationException,
                                                       KeyNotFoundException,
                                                       org.apache.storm.thrift.TException

      Specified by:
        `beginBlobDownload` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_beginBlobDownload

          public void send_beginBlobDownload(String key)
                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_beginBlobDownload

          public BeginDownloadResult recv_beginBlobDownload()
                                                     throws AuthorizationException,
                                                            KeyNotFoundException,
                                                            org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### downloadBlobChunk

          public ByteBuffer downloadBlobChunk(String session)
                                       throws AuthorizationException,
                                              org.apache.storm.thrift.TException

      Specified by:
        `downloadBlobChunk` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_downloadBlobChunk

          public void send_downloadBlobChunk(String session)
                                      throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_downloadBlobChunk

          public ByteBuffer recv_downloadBlobChunk()
                                            throws AuthorizationException,
                                                   org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### deleteBlob

          public void deleteBlob(String key)
                          throws AuthorizationException,
                                 KeyNotFoundException,
                                 IllegalStateException,
                                 org.apache.storm.thrift.TException

      Specified by:
        `deleteBlob` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `IllegalStateException`
        `org.apache.storm.thrift.TException`

    - #### send_deleteBlob

          public void send_deleteBlob(String key)
                               throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_deleteBlob

          public void recv_deleteBlob()
                               throws AuthorizationException,
                                      KeyNotFoundException,
                                      IllegalStateException,
                                      org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `IllegalStateException`
        `org.apache.storm.thrift.TException`

    - #### listBlobs

          public ListBlobsResult listBlobs(String session)
                                    throws org.apache.storm.thrift.TException

      Specified by:
        `listBlobs` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_listBlobs

          public void send_listBlobs(String session)
                              throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_listBlobs

          public ListBlobsResult recv_listBlobs()
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### getBlobReplication

          public int getBlobReplication(String key)
                                 throws AuthorizationException,
                                        KeyNotFoundException,
                                        org.apache.storm.thrift.TException

      Specified by:
        `getBlobReplication` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_getBlobReplication

          public void send_getBlobReplication(String key)
                                       throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getBlobReplication

          public int recv_getBlobReplication()
                                      throws AuthorizationException,
                                             KeyNotFoundException,
                                             org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### updateBlobReplication

          public int updateBlobReplication(String key,
                                           int replication)
                                    throws AuthorizationException,
                                           KeyNotFoundException,
                                           org.apache.storm.thrift.TException

      Specified by:
        `updateBlobReplication` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### send_updateBlobReplication

          public void send_updateBlobReplication(String key,
                                                 int replication)
                                          throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_updateBlobReplication

          public int recv_updateBlobReplication()
                                         throws AuthorizationException,
                                                KeyNotFoundException,
                                                org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `KeyNotFoundException`
        `org.apache.storm.thrift.TException`

    - #### createStateInZookeeper

          public void createStateInZookeeper(String key)
                                      throws org.apache.storm.thrift.TException

      Specified by:
        `createStateInZookeeper` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_createStateInZookeeper

          public void send_createStateInZookeeper(String key)
                                           throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_createStateInZookeeper

          public void recv_createStateInZookeeper()
                                           throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### beginFileUpload

          public String beginFileUpload()
                                 throws AuthorizationException,
                                        org.apache.storm.thrift.TException

      Specified by:
        `beginFileUpload` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_beginFileUpload

          public void send_beginFileUpload()
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_beginFileUpload

          public String recv_beginFileUpload()
                                      throws AuthorizationException,
                                             org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### uploadChunk

          public void uploadChunk(String location,
                                  ByteBuffer chunk)
                           throws AuthorizationException,
                                  org.apache.storm.thrift.TException

      Specified by:
        `uploadChunk` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_uploadChunk

          public void send_uploadChunk(String location,
                                       ByteBuffer chunk)
                                throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_uploadChunk

          public void recv_uploadChunk()
                                throws AuthorizationException,
                                       org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### finishFileUpload

          public void finishFileUpload(String location)
                                throws AuthorizationException,
                                       org.apache.storm.thrift.TException

      Specified by:
        `finishFileUpload` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_finishFileUpload

          public void send_finishFileUpload(String location)
                                     throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_finishFileUpload

          public void recv_finishFileUpload()
                                     throws AuthorizationException,
                                            org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### downloadChunk

          public ByteBuffer downloadChunk(String id)
                                   throws AuthorizationException,
                                          org.apache.storm.thrift.TException

      Specified by:
        `downloadChunk` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_downloadChunk

          public void send_downloadChunk(String id)
                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_downloadChunk

          public ByteBuffer recv_downloadChunk()
                                        throws AuthorizationException,
                                               org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getNimbusConf

          public String getNimbusConf()
                               throws AuthorizationException,
                                      org.apache.storm.thrift.TException

      Specified by:
        `getNimbusConf` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getNimbusConf

          public void send_getNimbusConf()
                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getNimbusConf

          public String recv_getNimbusConf()
                                    throws AuthorizationException,
                                           org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getClusterInfo

          public ClusterSummary getClusterInfo()
                                        throws AuthorizationException,
                                               org.apache.storm.thrift.TException

      Specified by:
        `getClusterInfo` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getClusterInfo

          public void send_getClusterInfo()
                                   throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getClusterInfo

          public ClusterSummary recv_getClusterInfo()
                                             throws AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologySummaries

          public List<TopologySummary> getTopologySummaries()
                                                     throws AuthorizationException,
                                                            org.apache.storm.thrift.TException

      Specified by:
        `getTopologySummaries` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologySummaries

          public void send_getTopologySummaries()
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologySummaries

          public List<TopologySummary> recv_getTopologySummaries()
                                                          throws AuthorizationException,
                                                                 org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologySummaryByName

          public TopologySummary getTopologySummaryByName(String name)
                                                   throws NotAliveException,
                                                          AuthorizationException,
                                                          org.apache.storm.thrift.TException

      Specified by:
        `getTopologySummaryByName` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologySummaryByName

          public void send_getTopologySummaryByName(String name)
                                             throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologySummaryByName

          public TopologySummary recv_getTopologySummaryByName()
                                                        throws NotAliveException,
                                                               AuthorizationException,
                                                               org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologySummary

          public TopologySummary getTopologySummary(String id)
                                             throws NotAliveException,
                                                    AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Specified by:
        `getTopologySummary` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologySummary

          public void send_getTopologySummary(String id)
                                       throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologySummary

          public TopologySummary recv_getTopologySummary()
                                                  throws NotAliveException,
                                                         AuthorizationException,
                                                         org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getLeader

          public NimbusSummary getLeader()
                                  throws AuthorizationException,
                                         org.apache.storm.thrift.TException

      Specified by:
        `getLeader` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getLeader

          public void send_getLeader()
                              throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getLeader

          public NimbusSummary recv_getLeader()
                                       throws AuthorizationException,
                                              org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### isTopologyNameAllowed

          public boolean isTopologyNameAllowed(String name)
                                        throws AuthorizationException,
                                               org.apache.storm.thrift.TException

      Specified by:
        `isTopologyNameAllowed` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_isTopologyNameAllowed

          public void send_isTopologyNameAllowed(String name)
                                          throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_isTopologyNameAllowed

          public boolean recv_isTopologyNameAllowed()
                                             throws AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyInfoByName

          public TopologyInfo getTopologyInfoByName(String name)
                                             throws NotAliveException,
                                                    AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Specified by:
        `getTopologyInfoByName` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyInfoByName

          public void send_getTopologyInfoByName(String name)
                                          throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyInfoByName

          public TopologyInfo recv_getTopologyInfoByName()
                                                  throws NotAliveException,
                                                         AuthorizationException,
                                                         org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyInfo

          public TopologyInfo getTopologyInfo(String id)
                                       throws NotAliveException,
                                              AuthorizationException,
                                              org.apache.storm.thrift.TException

      Specified by:
        `getTopologyInfo` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyInfo

          public void send_getTopologyInfo(String id)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyInfo

          public TopologyInfo recv_getTopologyInfo()
                                            throws NotAliveException,
                                                   AuthorizationException,
                                                   org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyInfoByNameWithOpts

          public TopologyInfo getTopologyInfoByNameWithOpts(String name,
                                                            GetInfoOptions options)
                                                     throws NotAliveException,
                                                            AuthorizationException,
                                                            org.apache.storm.thrift.TException

      Specified by:
        `getTopologyInfoByNameWithOpts` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyInfoByNameWithOpts

          public void send_getTopologyInfoByNameWithOpts(String name,
                                                         GetInfoOptions options)
                                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyInfoByNameWithOpts

          public TopologyInfo recv_getTopologyInfoByNameWithOpts()
                                                          throws NotAliveException,
                                                                 AuthorizationException,
                                                                 org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyInfoWithOpts

          public TopologyInfo getTopologyInfoWithOpts(String id,
                                                      GetInfoOptions options)
                                               throws NotAliveException,
                                                      AuthorizationException,
                                                      org.apache.storm.thrift.TException

      Specified by:
        `getTopologyInfoWithOpts` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyInfoWithOpts

          public void send_getTopologyInfoWithOpts(String id,
                                                   GetInfoOptions options)
                                            throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyInfoWithOpts

          public TopologyInfo recv_getTopologyInfoWithOpts()
                                                    throws NotAliveException,
                                                           AuthorizationException,
                                                           org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyPageInfo

          public TopologyPageInfo getTopologyPageInfo(String id,
                                                      String window,
                                                      boolean is_include_sys)
                                               throws NotAliveException,
                                                      AuthorizationException,
                                                      org.apache.storm.thrift.TException

      Specified by:
        `getTopologyPageInfo` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyPageInfo

          public void send_getTopologyPageInfo(String id,
                                               String window,
                                               boolean is_include_sys)
                                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyPageInfo

          public TopologyPageInfo recv_getTopologyPageInfo()
                                                    throws NotAliveException,
                                                           AuthorizationException,
                                                           org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getSupervisorPageInfo

          public SupervisorPageInfo getSupervisorPageInfo(String id,
                                                          String host,
                                                          boolean is_include_sys)
                                                   throws NotAliveException,
                                                          AuthorizationException,
                                                          org.apache.storm.thrift.TException

      Specified by:
        `getSupervisorPageInfo` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getSupervisorPageInfo

          public void send_getSupervisorPageInfo(String id,
                                                 String host,
                                                 boolean is_include_sys)
                                          throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getSupervisorPageInfo

          public SupervisorPageInfo recv_getSupervisorPageInfo()
                                                        throws NotAliveException,
                                                               AuthorizationException,
                                                               org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getComponentPageInfo

          public ComponentPageInfo getComponentPageInfo(String topology_id,
                                                        String component_id,
                                                        String window,
                                                        boolean is_include_sys)
                                                 throws NotAliveException,
                                                        AuthorizationException,
                                                        org.apache.storm.thrift.TException

      Specified by:
        `getComponentPageInfo` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getComponentPageInfo

          public void send_getComponentPageInfo(String topology_id,
                                                String component_id,
                                                String window,
                                                boolean is_include_sys)
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getComponentPageInfo

          public ComponentPageInfo recv_getComponentPageInfo()
                                                      throws NotAliveException,
                                                             AuthorizationException,
                                                             org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyConf

          public String getTopologyConf(String id)
                                 throws NotAliveException,
                                        AuthorizationException,
                                        org.apache.storm.thrift.TException

      Specified by:
        `getTopologyConf` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyConf

          public void send_getTopologyConf(String id)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyConf

          public String recv_getTopologyConf()
                                      throws NotAliveException,
                                             AuthorizationException,
                                             org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopology

          public StormTopology getTopology(String id)
                                    throws NotAliveException,
                                           AuthorizationException,
                                           org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Returns the compiled topology that contains ackers and metrics consumsers. Compare `Nimbus.Iface.getUserTopology(String id)`.

      Specified by:
        `getTopology` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopology

          public void send_getTopology(String id)
                                throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopology

          public StormTopology recv_getTopology()
                                         throws NotAliveException,
                                                AuthorizationException,
                                                org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getUserTopology

          public StormTopology getUserTopology(String id)
                                        throws NotAliveException,
                                               AuthorizationException,
                                               org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Returns the user specified topology as submitted originally. Compare `Nimbus.Iface.getTopology(String id)`.

      Specified by:
        `getUserTopology` in interface `Nimbus.Iface`
      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getUserTopology

          public void send_getUserTopology(String id)
                                    throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getUserTopology

          public StormTopology recv_getUserTopology()
                                             throws NotAliveException,
                                                    AuthorizationException,
                                                    org.apache.storm.thrift.TException

      Throws:
        `NotAliveException`
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getTopologyHistory

          public TopologyHistoryInfo getTopologyHistory(String user)
                                                 throws AuthorizationException,
                                                        org.apache.storm.thrift.TException

      Specified by:
        `getTopologyHistory` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getTopologyHistory

          public void send_getTopologyHistory(String user)
                                       throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getTopologyHistory

          public TopologyHistoryInfo recv_getTopologyHistory()
                                                      throws AuthorizationException,
                                                             org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getOwnerResourceSummaries

          public List<OwnerResourceSummary> getOwnerResourceSummaries(String owner)
                                                               throws AuthorizationException,
                                                                      org.apache.storm.thrift.TException

      Specified by:
        `getOwnerResourceSummaries` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getOwnerResourceSummaries

          public void send_getOwnerResourceSummaries(String owner)
                                              throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getOwnerResourceSummaries

          public List<OwnerResourceSummary> recv_getOwnerResourceSummaries()
                                                                    throws AuthorizationException,
                                                                           org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### getSupervisorAssignments

          public SupervisorAssignments getSupervisorAssignments(String node)
                                                         throws AuthorizationException,
                                                                org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Get assigned assignments for a specific supervisor

      Specified by:
        `getSupervisorAssignments` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_getSupervisorAssignments

          public void send_getSupervisorAssignments(String node)
                                             throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_getSupervisorAssignments

          public SupervisorAssignments recv_getSupervisorAssignments()
                                                              throws AuthorizationException,
                                                                     org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### sendSupervisorWorkerHeartbeats

          public void sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats)
                                              throws AuthorizationException,
                                                     org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Send supervisor worker heartbeats for a specific supervisor

      Specified by:
        `sendSupervisorWorkerHeartbeats` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_sendSupervisorWorkerHeartbeats

          public void send_sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats)
                                                   throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_sendSupervisorWorkerHeartbeats

          public void recv_sendSupervisorWorkerHeartbeats()
                                                   throws AuthorizationException,
                                                          org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### sendSupervisorWorkerHeartbeat

          public void sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat)
                                             throws AuthorizationException,
                                                    NotAliveException,
                                                    org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Send supervisor local worker heartbeat when a supervisor is unreachable

      Specified by:
        `sendSupervisorWorkerHeartbeat` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `NotAliveException`
        `org.apache.storm.thrift.TException`

    - #### send_sendSupervisorWorkerHeartbeat

          public void send_sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat)
                                                  throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_sendSupervisorWorkerHeartbeat

          public void recv_sendSupervisorWorkerHeartbeat()
                                                  throws AuthorizationException,
                                                         NotAliveException,
                                                         org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `NotAliveException`
        `org.apache.storm.thrift.TException`

    - #### processWorkerMetrics

          public void processWorkerMetrics(WorkerMetrics metrics)
                                    throws org.apache.storm.thrift.TException

      Specified by:
        `processWorkerMetrics` in interface `Nimbus.Iface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### send_processWorkerMetrics

          public void send_processWorkerMetrics(WorkerMetrics metrics)
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_processWorkerMetrics

          public void recv_processWorkerMetrics()
                                         throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### isRemoteBlobExists

          public boolean isRemoteBlobExists(String blobKey)
                                     throws AuthorizationException,
                                            org.apache.storm.thrift.TException

      Description copied from interface: `Nimbus.Iface`

      Decide if the blob is removed from cluster.

      Specified by:
        `isRemoteBlobExists` in interface `Nimbus.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

    - #### send_isRemoteBlobExists

          public void send_isRemoteBlobExists(String blobKey)
                                       throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### recv_isRemoteBlobExists

          public boolean recv_isRemoteBlobExists()
                                          throws AuthorizationException,
                                                 org.apache.storm.thrift.TException

      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.